#pragma once
#include "EntityState.h"
extern const int CS_KanpaSTATENAME_JUMP;
//技能：跳跃
class CS_KanpaJump :
    public EntityState
{
public:
    CS_KanpaJump();
    void SubStep() override;
    void State() override;
    void SetPhysice(bool bInWater) override;
    void SetJump();
    //物理信息
    //地面
    float ground_jump = 0x560 / ts;
    //水中
    float inwater_jump = ground_jump / 2;
    //变量
    float jump = 0;//当前跳跃速度
    bool jumped = false;//已跳跃
    bool jump_disable = false;//禁用跳跃
};

